Bug 583105 - Review Request: djmount - Mount MediaServers content as a Linux file system
Summary: Review Request: djmount - Mount MediaServers content as a Linux file system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 17:25 UTC by Jean-Francois Saucier
Modified: 2010-12-06 20:01 UTC (History)
4 users (show)

Fixed In Version: djmount-0.71-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 19:58:32 UTC
Type: ---
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jean-Francois Saucier 2010-04-16 17:25:00 UTC
Spec URL: http://jfsaucier.fedorapeople.org/packages/djmount.spec
SRPM URL: http://jfsaucier.fedorapeople.org/packages/djmount-0.71-1.fc12.src.rpm
Description: 
djmount is a UPnP AV client. It mounts as a Linux file system the media content
of compatible UPnP AV devices. Djmount discovers automatically all UPnP AV
Media Servers on the network, and make the content available in a directory
tree. All shared files (e.g. Audio or Video files) are directly visible and
can be played using your favorite media player.


rpmlint give no warning/error on spec, srpm and rpm.


The koji scratch build are all fine for F-11, F-12, F-13 and rawhide :
- http://koji.fedoraproject.org/koji/taskinfo?taskID=2119908
- http://koji.fedoraproject.org/koji/taskinfo?taskID=2119930
- http://koji.fedoraproject.org/koji/taskinfo?taskID=2119942
- http://koji.fedoraproject.org/koji/taskinfo?taskID=2119951


Thank you!

Comment 1 Jason Tibbitts 2010-11-19 04:13:45 UTC
Sorry nobody has looked at this in ages.  I'm trying to go through all of the old tickets.

This builds OK; rpmlint just complaints about the lack of a manpage.  While it would be useful, it's not mandatory.

Some would argue that you should preserve the timestamps when you call iconv.  (You do this with touch -r.)  It would be nice but it's not essential.

It appears that everything is properly built so that the system libupnp and talloc libraries are used instead of the bundled copies.  The bundled gnulib library has already been granted a blanket exception from the bundled library policy.

There's no way at all that I can test this.

* source files match upstream.  sha256sum:
  aa5bb482af4cbd42695a7e396043d47b53d075ac2f6aa18a8f8e11383c030e4f
   djmount-0.71.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   djmount = 0.71-1.fc15
   djmount(x86-64) = 0.71-1.fc15
  =
   libfuse.so.2()(64bit)  
   libfuse.so.2(FUSE_2.5)(64bit)  
   libgcc_s.so.1()(64bit)  
   libgcc_s.so.1(GCC_3.0)(64bit)  
   libgcc_s.so.1(GCC_3.3.1)(64bit)  
   libixml.so.2()(64bit)  
   libtalloc.so.2()(64bit)  
   libthreadutil.so.2()(64bit)  
   libupnp.so.3()(64bit)  

* bundled library is acceptable.
* no shared libraries are added to the regular linker search paths.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 2 Jean-Francois Saucier 2010-11-24 00:09:27 UTC
Thanks a lot for the review. I will try to talk with upstream for adding a manpage to this package.

For the timestamps, I will add this to the final package as per your suggestion.

Comment 3 Jean-Francois Saucier 2010-11-24 00:12:41 UTC
New Package SCM Request
=======================
Package Name: djmount
Short Description: Mount MediaServers content as a Linux file system
Owners: jfsaucier
Branches: f13 f14
InitialCC:

Comment 4 Jason Tibbitts 2010-11-24 20:29:55 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-11-27 16:36:44 UTC
djmount-0.71-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/djmount-0.71-2.fc14

Comment 6 Fedora Update System 2010-11-27 20:25:13 UTC
djmount-0.71-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/djmount-0.71-2.fc13

Comment 7 Fedora Update System 2010-11-27 23:37:23 UTC
djmount-0.71-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update djmount'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/djmount-0.71-2.fc14

Comment 8 Fedora Update System 2010-12-05 19:58:27 UTC
djmount-0.71-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-12-06 20:01:44 UTC
djmount-0.71-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.